Bug 1712423 - Could not get elasticsearch metrics in prometheus server -- happen again.
Summary: Could not get elasticsearch metrics in prometheus server -- happen again.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1706478
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 13:18 UTC by Rich Megginson
Modified: 2019-07-23 19:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The prometheus role was not allowed to monitor ES indices Consequence: Prometheus was returned a 403 error Fix: Allow the prometheus role to monitor all ES indices Result: Prometheus can scrape index permissions
Clone Of: 1706478
Environment:
Last Closed: 2019-07-23 19:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-aggregated-logging issues 1653 'None' closed Allow prometheus to access index-level metrics release 3.11 2020-01-28 10:24:59 UTC
Github openshift origin-aggregated-logging pull 1672 'None' closed [release-3.11] Bug 1712423: Give Prometheus permissions to monitor indices 2020-01-28 10:24:59 UTC
Red Hat Product Errata RHBA-2019:1753 None None None 2019-07-23 19:56:35 UTC

Comment 1 Jeff Cantrill 2019-06-21 16:36:32 UTC
3.11 cherrypick https://github.com/openshift/origin-aggregated-logging/pull/1672

Comment 3 Anping Li 2019-07-11 12:07:06 UTC
The metrics can be retrieved from logging-es-ops-prometheus logging-es-prometheus  using token prometheus-k8s 
openshift3/ose-logging-elasticsearch5:v3.11.128

Comment 5 errata-xmlrpc 2019-07-23 19:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1753


Note You need to log in before you can comment on or make changes to this bug.